# Class SpeciesFormChangeMoveLearnedTrigger

#### Hierarchy (view full)

- SpeciesFormChangeTrigger
  - SpeciesFormChangeMoveLearnedTrigger

- Defined in src/data/pokemon-forms.ts:265

#####
Index

### Constructors

constructor

### Properties

known
move

### Methods

canChange
hasTriggerType

## Constructors

### constructor

- new SpeciesFormChangeMoveLearnedTrigger(move, known?): SpeciesFormChangeMoveLearnedTrigger

- #### Parameters

  - move: Moves
  - known: boolean = true

  #### Returns SpeciesFormChangeMoveLearnedTrigger

  Overrides SpeciesFormChangeTrigger.constructor

  - Defined in src/data/pokemon-forms.ts:269

## Properties

### known

known: boolean

- Defined in src/data/pokemon-forms.ts:267

### move

move: Moves

- Defined in src/data/pokemon-forms.ts:266

## Methods

### canChange

- canChange(pokemon): boolean

- #### Parameters

  - pokemon: default

  #### Returns boolean

  Overrides SpeciesFormChangeTrigger.canChange

  - Defined in src/data/pokemon-forms.ts:275

### hasTriggerType

- hasTriggerType(triggerType): boolean

- #### Parameters

  - triggerType: (new (...args) => SpeciesFormChangeTrigger )
    - - new (...args): SpeciesFormChangeTrigger

      - #### Parameters

        - `Rest` ...args: any[]

        #### Returns SpeciesFormChangeTrigger

  #### Returns boolean

  Inherited from SpeciesFormChangeTrigger.hasTriggerType

  - Defined in src/data/pokemon-forms.ts:173